SceneManager.run = function(sceneClass) {
	this.initialize();

	if (!this.ticker) {
		this.ticker = new PIXI.ticker.Ticker();
		this.ticker.maxFPS = 60;
		this.ticker.start();
	}

	this.goto(sceneClass);
	this.requestUpdate();
}

SceneManager.requestUpdate = function() {
	requestAnimationFrame(this.update.bind(this));
};

SceneManager.update = function() {
	Graphics.tickStart();
	this.updateManagers();
	this.updateMain();
	this.renderScene();
	Graphics.tickEnd();
	this.requestUpdate();
};
